# History

## isAvailable()⇒ `boolean`

Check that local storage is available before any operation is performed

## get(id)⇒ `*`

Get a history object for uuid

### Parameters

| Param |
| ----- |
| id    |

## deleteHistory(id)

Deletes history for an ID

### Parameters

| Param |
| ----- |
| id    |

## getHistory()⇒ `Array`

Get history from local storage for all articles and JSON Parse to Object

## cleanVersionsOlderThanMaxDays()

Clears items older than @see HST\_MAX\_DAYS days.

## cleanOldVersions()⇒ `boolean`

Removed half the list of articles based on the updated property

## saveHistory(id, history)⇒ `boolean`

Save history to local storage

### Parameters

| Param   |
| ------- |
| id      |
| history |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.navigaglobal.com/writer/8.1.0/api-reference/writerapi/history.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
